> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/security/tenants.md).

# Tenants

Reference page for Servoy Cloud Application Tenants

## Overview

Application Security Tenants displays a table view of all tenants defined for an application, allowing you to create, edit or delete tenants.

## Tenant Details

### Name

The name of the tenant that will be displayed on the tenant selection page during login.

### Domain name(s)

A comma-separated list of domain names (e.g., `@mydomain.com`, `@nextdomain.co.uk`) to associate users with the appropriate tenant.

{% hint style="warning" %}
Automatic user-to-tenant association based on domain names is not currently supported.
{% endhint %}

### Filter value(s)

A comma-separated list of values (e.g., `namespaceUUID`, `namespaceName`) used to filter data in the database, ensuring users can only access data relevant to their tenant.

## Create Tenant

To create a tenant for your Servoy Cloud Application:

1. Navigate to the **Tenants** tab in **Applications** → **Your Application** → **Security**.
2. Click the **Create Tenant** button.
3. Fill in the tenant details.
4. Click **Save**.

## Edit Tenant

To edit a tenant for your Servoy Cloud Application:

1. Navigate to the **Tenants** tab in **Applications** → **Your Application** → **Security**.
2. Click the context menu for the desired tenant.
3. Select **Edit Tenant** and update the details as needed.
4. Click **Save**.

## Delete Tenant

To delete a tenant defined in your Servoy Cloud Application:

1. Navigate to the **Tenants** tab in **Applications** → **Your Application** → **Security**.
2. Click the context menu for the desired tenant.
3. Select **Delete Tenant** and confirm the deletion.

## Enable Tenant Support

Tenants defined using Application Security are integrated with the **Servoy Cloud Login**, allowing for tenant-specific access control.

To enable tenant support in your Servoy Cloud Application follow the instructions in the [**Security Login Designer**](/reference/servoy-cloud/cloud-control-center/application-overview/applications/security/security-login-designer.md#tenant-support).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/security/tenants.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
